%define major		1
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d
%define enable_mmx	0
%{?_with_mmx: %global enable_mmx 1}

Name:		imlib2
Version:	1.7.1
Release:	%mkrel 1
Summary:	Powerful image loading and rendering library
License:	Imlib2
URL:		https://sourceforge.net/projects/enlightenment/
Group:		System/Libraries
# Same as upstream tarball except the copyright-breaking /data/fonts
# subdirectory is entirely removed - AdamW 2008/03
Source0:	https://sourceforge.net/projects/enlightenment/files/imlib2-src/%{version}/%{name}-%{version}.tar.bz2
# Drop data/fonts from the build, it only contains copyright-
# infringing fonts - AdamW 2008/03 (#38258)
Patch0:		imlib2-1.4.2-fontclean.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	giflib-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(bzip2)

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

Build Options:
--with mmx      Enable mmx cpu detection (10% - 30% speedup)

%package -n	%{libname}
Summary:	Powerful image loading and rendering library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-filters = %{version}-%{release}
Requires:	%{libname}-loaders = %{version}-%{release}

%description -n	%{libname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.


%package -n	%{develname}
Summary:	Imlib2 headers, static libraries and documentation
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package contains various headers and static libraries for %{name}.
You need this package if you want to compile or develop any applications
that need %{name}.


%package -n	%{libname}-filters
Summary:	Imlib2 basic plugin filters set
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-filters
This package contains Imlib2 basic set of plugin filters.


%package -n	%{libname}-loaders
Summary:	Imlib2 loader for various graphic formats
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-loaders
This package contains Imlib2 image loader/saver for various graphic formats,
such as jpeg, gif, tiff, xpm etc.

%package data
Summary:	Imlib2 data
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description data
This package contains Imlib2 data.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure \
	--disable-static \
%if %enable_mmx
	--enable-mmx=yes \
%else
	--enable-mmx=no \
%endif

%make_build

%install
%make_install

# remove files not bundled
find %{buildroot} -name '*.la' -delete

%multiarch_binaries %{buildroot}%{_bindir}/imlib2-config

%files -n %{libname}
%doc AUTHORS README COPYING
%{_libdir}/lib*.so.%{major}{,.*}
%dir %{_libdir}/%{name}

%files -n %{develname}
%doc AUTHORS README COPYING ChangeLog doc/index.html doc/imlib2.gif doc/blank.gif
%{_bindir}/*
%multiarch %{_bindir}/imlib2-config
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{libname}-filters
%doc AUTHORS README COPYING
%{_libdir}/%{name}/filters

%files -n %{libname}-loaders
%doc AUTHORS README COPYING
%{_libdir}/%{name}/loaders

%files data
%doc AUTHORS README COPYING
%{_datadir}/%{name}/


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.7.1-1.mga8
+ Revision: 1665879
- 1.7.1

* Mon Aug 03 2020 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1610681
- new version: 1.7.0
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.6.1-2.mga8
+ Revision: 1539924
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 14 2019 daviddavid <daviddavid> 1.6.1-1.mga8
+ Revision: 1467122
- new version: 1.6.1

* Tue Nov 26 2019 daviddavid <daviddavid> 1.6.0-1.mga8
+ Revision: 1462932
- new version: 1.6.0
- fix owner of library dir

* Sun Sep 23 2018 umeabot <umeabot> 1.5.1-2.mga7
+ Revision: 1298292
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.5.1-1.mga7
+ Revision: 1214821
- Update to version 1.5.1

* Mon May 09 2016 luigiwalser <luigiwalser> 1.4.9-1.mga6
+ Revision: 1011781
- 1.4.9
- remove upstream patches

* Fri Apr 15 2016 luigiwalser <luigiwalser> 1.4.8-2.mga6
+ Revision: 1002776
- add more upstream patches, including fix for CVE-2016-4024

* Mon Apr 11 2016 luigiwalser <luigiwalser> 1.4.8-1.mga6
+ Revision: 1000283
- 1.4.8
- add upstream patches to fix security issues, including:
  - CVE-2016-3993
  - CVE-2016-3994
  - CVE-2011-5326

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.4.7-2.mga6
+ Revision: 920395
- rebuild for giflib

* Thu Sep 24 2015 tv <tv> 1.4.7-1.mga6
+ Revision: 883249
- drop merged patch
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4.6-4.mga5
+ Revision: 739495
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 danf <danf> 1.4.6-3.mga5
+ Revision: 737043
- Added config-my_libs.patch to fix broken output of imlib2-config --libs

* Tue Sep 16 2014 umeabot <umeabot> 1.4.6-2.mga5
+ Revision: 680493
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 pterjan <pterjan> 1.4.6-1.mga5
+ Revision: 671291
- 1.4.6
+ tv <tv>
- new release
- fix URL

* Sat Oct 19 2013 umeabot <umeabot> 1.4.5-6.mga4
+ Revision: 526015
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.4.5-5.mga4
+ Revision: 435511
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.4.5-4.mga3
+ Revision: 354345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.4.5-3.mga3
+ Revision: 339202
- patch5: fix build with automake 1.13

* Fri Dec 23 2011 fwang <fwang> 1.4.5-2.mga2
+ Revision: 186408
- rebuild for new libtiff
- br bzip2

* Sat Sep 10 2011 fwang <fwang> 1.4.5-1.mga2
+ Revision: 142198
- new version 1.4.5
- rebuild for new libpng

* Sat Jan 15 2011 mikala <mikala> 1.4.4-1.mga1
+ Revision: 18489
- Drop mdk macros
- Remove BuildRoot
- imported package imlib2


* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 1.4.4-1mdv2011.0
+ Revision: 565300
- new version 1.4.4

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-3mdv2010.1
+ Revision: 488768
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.2-2mdv2010.0
+ Revision: 416618
- rebuilt against libjpeg v7

* Fri Feb 06 2009 Funda Wang <fwang@mandriva.org> 1.4.2-1mdv2009.1
+ Revision: 338008
- update license
- New version 1.4.2

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.1.000-4mdv2009.1
+ Revision: 316779
- rebuild

* Wed Aug 20 2008 Funda Wang <fwang@mandriva.org> 1.4.1.000-3mdv2009.0
+ Revision: 274336
- add patch fixing CVE-2008-2426

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.4.1.000-2mdv2009.0
+ Revision: 264684
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 1.4.1.000-1mdv2009.0
+ Revision: 213939
- New version 1.4.1.000

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.0.003-4mdv2008.1
+ Revision: 180284
- really use regenerated tarball, add necessary extra bit to fontclean.patch
- drop non-freely-licensed font files (#38258):
  	+ fontclean.patch: patches build process not to look for fonts dir
  	+ regenerate tarball without the offending directory

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.4.0.003-3mdv2008.1
+ Revision: 150286
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Vincent Guardiola <vguardiola@mandriva.com>
    - Test upload

* Fri Sep 14 2007 Michael Scherer <misc@mandriva.org> 1.4.0.003-2mdv2008.0
+ Revision: 85473
- add security fixes from #27005

  + Antoine Ginies <aginies@mandriva.com>
    - fix source
    - CVS SNAPSHOT 20070830, release 1.4.0.003

* Mon Jun 25 2007 Thierry Vignaud <tv@mandriva.org> 1.4.0.000-4mdv2008.0
+ Revision: 44019
- new devel library policy

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0.000-3mdv2008.0
+ Revision: 32618
- CVS SNAPSHOT 20070529, release 1.4.0.000

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0.000-2mdv2008.0
+ Revision: 30650
- increase release to get the good SRPM uploaded
- adjust version
- fix an error in spec file (Version: was updated instead of the macro version)

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0.000-1mdv2008.0
+ Revision: 30616
- CVS snapshot 20070524, release 1.4.0.000
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 1.4.0-1mdv2008.0
+ Revision: 29139
- release 1.4.0


* Fri Jul 21 2006 Stew Benedict <sbenedict@mandriva.com> 1.2.2-3mdv2006.0
- P0: fix for 64bit crash in tiff loader (#22355)

* Wed May 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-2mdk
- use %%mkrel
- fix URL

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.2.1-2mdk
- Rebuild

* Tue Jun 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdk 
- new release
- spec cleanup
- dropped patches, problems fixed upstream

* Thu Mar 24 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-3mdk 
- fix issue with dynamic loading that broke perl bindings (patch stolen from Debian, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=293815)

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-2mdk
- lib64 fixes

* Wed Jan 26 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.0-1mdk 
- new release
- rpmbuildupdate aware
- drop all patches (merged upstream)
- data subpackage
- multiarch fix

* Fri Oct 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-4mdk
- Patch2: security fix for BMP crasher

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-3mdk
- fix gcc-3.4 patch (P1)

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-2mdk
- fix gcc-3.4 build (P1)

* Thu May 27 2004 Abel Cheung <deaddog@deaddog.org> 1.1.0-1mdk
- New version
- Redo patch0 (sing along: "libtool, bang bang...")

* Tue Sep 02 2003 Abel Cheung <deaddog@deaddog.org> 1.0.6-4mdk
- mklibname
- remove RPM_BUILD_ROOT in install instead of prep
- remove various static module files not under $libdir
- remove packager tag
- how can rasterman's stuff be GPL'ed
- strip redundant BuildRequires and Requires
- configure2_5x, makeinstall_std
- DIRM fix
- remove duplicates in file lists
- convert this spec to UTF-8
- rpmlint fix (avoid non-pic library by overwriting libtool stuff with
  libtoolize)
- Patch0: Avoid /home in .la files
- Where should /usr/lib/loaders go? Can't please both distriblint and
  rpmlint

